@echo off

rem tMidi 2.99
rem This is for keyboard play setup
rem Requires HEX data input from command line (see noparms below)
rem
rem The following lines need to be modified as required, especially IRQ
rem and in and out device ports, etc.  See tmidi.doc for details.
rem
rem run without any args to see sample use

if !%1==! goto noparms
if !%2==! goto noparms
if !%3==! goto noparms
if !%1==!gm goto gmsetup
if !%1==!gs goto gssetup
if !%1==!xg goto xgsetup
goto noparms

:gmsetup
tmidi "-sx1:F0 7E 7F 09 01 F7"
tmidi "-sx1:B0 00 00"
tmidi "-sx1:B0 20 00"
goto prgsetup

:gssetup
tmidi "-sx1:F0 41 10 42 12 40 00 7F 00 41 F7"
tmidi "-sx1:B0 00 %2"
tmidi "-sx1:B0 20 00"
goto prgsetup

:xgsetup
tmidi "-sx1:F0 43 10 4C 00 00 7E 00 F7"
tmidi "-sx1:B0 00 00"
tmidi "-sx1:B0 20 %2"

:prgsetup
if !%4==!-d goto dodrums
tmidi "-sx1:C0 %3" "-kb:10 1 1 1"
goto bye

:dodrums
tmidi "-sx1:C0 %3" "-kb:10 1 10 1"
goto bye

:noparms
rem This is just some basic stuff -- easy to make even better
echo.
echo Use C]pkb mode bank prg [-d]
echo.
echo       mode = [gm,gs,xg]
echo       bank = 0-7F (gs,xg only -- gm use 0)
echo       prg  = 0-7F
echo       -d   = option switch to play on drum channel
echo.
echo e.g., [G:\]pkb gs 2 7A     (plays thunder on GS/XG)
echo e.g., [G:\]pkb gm 0  0 -d  (play drums)
echo.
:bye
